Name:       ttembed
Version:    1.1
Release:    %mkrel 4
Summary:    Remove embedding limitations from TrueType fonts
Group:      System/Fonts/True type
License:    Public Domain
URL:        https://github.com/hisdeedsaredust/ttembed
Source0:    https://github.com/hisdeedsaredust/ttembed/archive/v%{version}/%{name}-%{version}.tar.gz

%description
Remove embedding limitations from TrueType fonts, by setting the fsType field
in the OS/2 table to zero. That's it; this program is a one-trick pony.

%prep
%setup -q

%build
%set_build_flags
%make_build

%install
install -d %{buildroot}%{_bindir}
install -p -m 755 %{name} %{buildroot}%{_bindir}
install -d %{buildroot}%{_mandir}/man1/
install -p -m 644 %{name}.1 %{buildroot}%{_mandir}/man1/

%files
%{_bindir}/%{name}
%{_mandir}/man1/*
%doc LICENSE README.md

%check
# smoke test - fail on not font file
echo 'not a font' > test
if [[ "$(./ttembed test 2>&1)" != "test: Not TTF/OTF" ]] ; then
    echo "TEST FAIL: not a font input test" 1>&2
    exit 1
fi
rm test


%changelog
* Thu Jun 26 2025 umeabot <umeabot> 1.1-4.mga10
+ Revision: 2195568
- Mageia 10 Mass Rebuild

* Tue Mar 15 2022 umeabot <umeabot> 1.1-3.mga9
+ Revision: 1792554
- Mageia 9 Mass Rebuild

* Fri Feb 14 2020 umeabot <umeabot> 1.1-2.mga8
+ Revision: 1523090
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%setup_compile_flags

* Tue Feb 19 2019 wally <wally> 1.1-1.mga7
+ Revision: 1368437
- clean .spec
+ juancho <juancho>
- imported package ttembed


* Mon Aug 18 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.1-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_22_Mass_Rebuild

* Sun Jun 08 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Mon Dec 2 2013 Petr Vobornik <pvoborni@redhat.com> - 1.1-1
- initial package
